<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>ch.sebi.zuul.command</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ch.sebi.zuul.command";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;ch.sebi.zuul.command</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></td>
<td class="colLast">
<div class="block">The command executor executes a command.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></td>
<td class="colLast">
<div class="block">Discovers commands with annotions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></td>
<td class="colLast">
<div class="block">A class which contains more information about a command</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></td>
<td class="colLast">
<div class="block">A class which parses lines in to commands and executes them</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html" title="class in ch.sebi.zuul.command">CommandParser.CommandElement</a></td>
<td class="colLast">
<div class="block">An class wich contaions the command executor, the name, the syntax and the help of a command</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a></td>
<td class="colLast">
<div class="block">A general parser which splits the input into words.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Annotation Types Summary table, listing annotation types, and an explanation">
<caption><span>Annotation Types Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Annotation Type</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command">Command</a></td>
<td class="colLast">
<div class="block">An annotation which marks an executor as an executor and can be found without registering the executor
 directly in the <a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><code>CommandParser</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/Commands.html" title="annotation in ch.sebi.zuul.command">Commands</a></td>
<td class="colLast">
<div class="block">A class which is used by the jvm if the <a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command"><code>Command</code></a> annotation is repeated</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/command/Syntax.html" title="annotation in ch.sebi.zuul.command">Syntax</a></td>
<td class="colLast">
<div class="block">A annotation which is used for defining the syntax of a command</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
